Index: build.xml
===================================================================
--- build.xml	(revision 8857)
+++ build.xml	(working copy)
@@ -819,22 +819,8 @@
   <target name="jemacs-classes" 
           depends="build-settings, java-classes, jemacs-java-classes"
           if="${enable-jemacs}">
-    <kawac failonerror="true" destdir="${build.classes}"
-	    prefix="gnu.jemacs.lang."  modulestatic="run" language="scheme">
-      <fileset dir="${src.dir}/gnu/jemacs/lang"> 
-	<include name="MiscOps.scm"/>
-	<include name="NumberOps.scm"/>
-      </fileset>
-    </kawac>
 
     <kawac failonerror="true" destdir="${build.classes}"
-	    prefix="gnu.jemacs.buffer."  modulestatic="run" language="scheme">
-      <fileset dir="${src.dir}/gnu/jemacs/buffer"> 
-	<include name="emacs.scm"/>
-      </fileset>
-    </kawac>
-
-    <kawac failonerror="true" destdir="${build.classes}"
 	    prefix="gnu.kawa.slib" modulestatic="run" language="scheme">
       <fileset dir="${src.dir}/gnu/kawa/slib"> 
 	<include name="gui.scm"/>
@@ -842,6 +828,15 @@
     </kawac>
 
     <kawac failonerror="true" destdir="${build.classes}"
+           prefix="gnu.jemacs.lisp." language="scheme">
+      <filelist dir="${src.dir}/gnu/jemacs/lisp">
+        <file name="MiscOps.scm"/>
+        <file name="NumberOps.scm"/>
+        <file name="emacs.scm"/>
+      </filelist>
+    </kawac>
+
+    <kawac failonerror="true" destdir="${build.classes}"
 	    prefix="gnu.jemacs.lisp." language="elisp">
       <filelist dir="${src.dir}/gnu/jemacs/lisp">
         <file name="primitives.el"/>
